#
# spec file for package perl-CGI-Session (Version 4.41)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-CGI-Session
Version:        4.41
Release:        3.1
Requires:       perl = %{perl_version}
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Url:            http://cpan.org/modules/by-module/CGI
Summary:        Persistent session data in CGI applications
Source:         CGI-Session-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
CGI-Session is a Perl5 library that provides an easy, reliable and
modular session management system across HTTP requests. Persistency is
a key feature for such applications as shopping carts,
login/authentication routines, and application that need to carry data
across HTTP requests. CGI::Session does that and many more.



Authors:
--------
    Sherzod Ruzmetov <sherzodr@cpan.org>

%prep
%setup -q -n CGI-Session-%{version}

%build
perl Makefile.PL
make

%check
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes INSTALL MANIFEST  MANIFEST.SKIP README examples 
%{_mandir}/man?/*
%dir %{perl_vendorlib}/CGI
%{perl_vendorlib}/CGI/*
%{perl_vendorarch}/auto/CGI
/var/adm/perl-modules/%{name}

%changelog
* Mon Mar 23 2009 anicka@suse.cz
- update to 4.41
  * FIX: RT#43290. In CGI::Session::Driver::sqlite, ensure database
  handle is still defined in DESTROY() before calling ping().
  * DOCUMENTATION: Add comments about using the header() method
  to set the charset to 'utf-8'.
* Tue Jan 20 2009 anicka@suse.cz
- update to 4.40
  * many fixes, improved documentation
* Fri Jul 18 2008 anicka@suse.cz
- update to 4.35 (bnc#410259)
  * FIX: Fix the bug fix for error propagation from 4.34
  * FIX: Reset errors when creating a new object. Previously,
    errors from a previous object could show up in the current object.
  * INTERNAL - Patch Build.PL and Makefile.PL to run
    Module::Metadata::Changes's ini.report.pl, if available, to
    regenerate Changelog.ini from this file (Changes), when creating
    a makefile.
  * SECURITY: Patch CGI::Session::Driver::file to stop \ and /
    characters being used in session ids and hence in file names.
    These characters, possibly combined with '..', could have been
    used to access files outside the designated session file directory.
  * FIX: Patch CGI::Session to propagate error upwards when
    _load_pluggables() fails.
  * INTERNAL: Ship a machine-readable version of this file under
    the name Changelog.ini.
  * FIX: Patch CGI::Session::Driver::mysql to replace
    'REPLACE INTO ...' with 'INSERT INTO ... ON DUPLICATE KEY UPDATE ...'.
  * FIX: t/mysql.t used to test setting the global variable
    $CGI::Session::MySQL::TABLE_NAME.
* Wed Jun 25 2008 anicka@suse.cz
- package created (version 4.32)
